# Fetch device details by ID

Returns details of a device

Endpoint: GET /enterprise/{enterprise_id}/device/{device_id}/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `enterprise_id` (string, required)
    ID of the enterprise

  - `device_id` (string, required)
    ID of the device

## Response 200 fields (application/json):

  - `id` (string)

  - `url` (string)

  - `device_name` (string)

  - `alias_name` (string)
    Device friendly name

  - `policy_name` (string)

  - `status` (integer)
    Current status of device

  - `state` (integer)
    Following are the Device States and their description


* 0 = Device State is Unspecified
* 1 = Online
* 20 = Disabled (device has been factory reset or removed from the Esper Dashboard)
* 30 = Beginning Provisioning
* 40 = Configuring Google Play (still provisioning)
* 50 = Applying Policies and Installing Applications (still provisioning)
* 60 = Offline
* 70 = Device is undergoing a Factory Reset (reset started from Dashboard)
* 80 = Device Onboarding in Progress
* 90 = Device Onboarding Failed
* 100 = Device Onboarded in Esper
* 110 = Android For Work Account added
* 120 = Apps installed
* 130 = Branding Processed
* 140 = Permission Policy Processed
* 150 = Device Policy Processed
* 160 = Device Settings Processed
* 170 = Security Policy Processed
* 180 = Phone Policy Processed
* 190 = Custom Settings Processed
* 200 = Registered
    Enum: 0, 1, 20, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140, 150, 160, 170, 180, 190, 200

  - `current_command` (string)
    Current command associated with device

  - `suid` (string)
    Device generated unique id

  - `directory_record_id` (string)
    ID of Directory Record associated with the device (if available)

  - `fcm_id` (string)

  - `enterprise` (string)

  - `policy` (string)

  - `user` (string)

  - `groups` (array)

  - `tags` (array)

  - `api_level` (integer)

  - `template_name` (string)

  - `mqtt_id` (string)

  - `softwareInfo` (object)

  - `hardwareInfo` (object)

  - `displays` (object)

  - `networkInfo` (object)

  - `memoryInfo` (object)

  - `esper_cient` (string)

  - `device_type` (string)

  - `audioConstraints` (object)

  - `provisioned_on` (string)

  - `created_on` (string)

  - `current_app_mode` (integer)

  - `kiosk_app_name` (string)

  - `lockdown_state` (integer)

  - `timezone_string` (string)

  - `initialtemplate` (string)

  - `updated_on` (string)

  - `emm_device` (object)

  - `emm_device.id` (integer)

  - `emm_device.google_device_id` (string)

  - `emm_device.managementType` (string)

  - `emm_device.device` (string)

  - `emm_device.google_user` (integer)

  - `emm_device.policy` (integer)

  - `emm_device.created_on` (string)

  - `emm_device.updated_on` (string)

  - `emm_device.is_active` (boolean)

  - `is_gms` (boolean)

  - `is_active` (boolean)

  - `has_seamlessInfo` (boolean)


## Response 400 fields
